package com.cim.idm.wmspackage.invoice.management.data;

import java.sql.Date;
import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.HistoryDataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialReceiveRequestHistory extends FieldAccessor implements HistoryDataInfo<MaterialReceiveRequestHistoryKey> {

	private MaterialReceiveRequestHistoryKey key;
	private Timestamp eventTime; 
	private String eventName;
	private String eventUser;
	private String eventComment;
	private String receiveRequestType;
	private String systemType;
	private String purchaseOrderGroup;
	private String receiveRequestState;
	private String oldReceiveRequestState;
	private String supplierNO;
	private String oemSiteName;
	private String oemSiteInCharge;
	private String erpPoName;
	private String saveReason;
	private String respPerson;
	private String respDepart;
	private Timestamp solveTime;
	private String shipRequestDec;
	private String bezei;
	private String deliveryAddress;
	private String customName;
	private String deliveryRemark;
	private String orderDateStr;
	private String erpFactory;
	private String planDate;
	private String customerOrder;
	private String customerArea;
	private String carFlag;
		
	public MaterialReceiveRequestHistory() {
	}



	public MaterialReceiveRequestHistoryKey getKey() {
		return key;
	}



	public void setKey(MaterialReceiveRequestHistoryKey key) {
		this.key = key;
	}



	public Timestamp getEventTime() {
		return eventTime;
	}



	public void setEventTime(Timestamp eventTime) {
		this.eventTime = eventTime;
	}



	public String getEventName() {
		return eventName;
	}



	public String getErpPoName() {
		return erpPoName;
	}



	public void setErpPoName(String erpPoName) {
		this.erpPoName = erpPoName;
	}



	public void setEventName(String eventName) {
		this.eventName = eventName;
	}



	public String getEventUser() {
		return eventUser;
	}



	public void setEventUser(String eventUser) {
		this.eventUser = eventUser;
	}



	public String getEventComment() {
		return eventComment;
	}



	public void setEventComment(String eventComment) {
		this.eventComment = eventComment;
	}



	public String getReceiveRequestType() {
		return receiveRequestType;
	}



	public void setReceiveRequestType(String receiveRequestType) {
		this.receiveRequestType = receiveRequestType;
	}



	public String getSystemType() {
		return systemType;
	}



	public void setSystemType(String systemType) {
		this.systemType = systemType;
	}



	public String getPurchaseOrderGroup() {
		return purchaseOrderGroup;
	}



	public void setPurchaseOrderGroup(String purchaseOrderGroup) {
		this.purchaseOrderGroup = purchaseOrderGroup;
	}



	public String getReceiveRequestState() {
		return receiveRequestState;
	}



	public void setReceiveRequestState(String receiveRequestState) {
		this.receiveRequestState = receiveRequestState;
	}



	public String getOldReceiveRequestState() {
		return oldReceiveRequestState;
	}



	public void setOldReceiveRequestState(String oldReceiveRequestState) {
		this.oldReceiveRequestState = oldReceiveRequestState;
	}



	public String getSupplierNO() {
		return supplierNO;
	}



	public void setSupplierNO(String supplierNO) {
		this.supplierNO = supplierNO;
	}



	public String getOemSiteName() {
		return oemSiteName;
	}



	public void setOemSiteName(String oemSiteName) {
		this.oemSiteName = oemSiteName;
	}



	public String getOemSiteInCharge() {
		return oemSiteInCharge;
	}



	public void setOemSiteInCharge(String oemSiteInCharge) {
		this.oemSiteInCharge = oemSiteInCharge;
	}
	public String getSaveReason() {
		return saveReason;
	}

	public void setSaveReason(String saveReason) {
		this.saveReason = saveReason;
	}
	public String getRespPerson() {
		return respPerson;
	}

	public void setRespPerson(String respPerson) {
		this.respPerson = respPerson;
	}
	public String getRespDepart() {
		return respDepart;
	}
	public void setRespDepart(String respDepart) {
		this.respDepart = respDepart;
	}
	public Timestamp getSolveTime() {
		return solveTime;
	}

	public void setSolveTime(Timestamp solveTime) {
		this.solveTime = solveTime;
	}

	public String getShipRequestDec() {
		return shipRequestDec;
	}

	public void setShipRequestDec(String shipRequestDec) {
		this.shipRequestDec = shipRequestDec;
	}

	public String getBezei() {
		return bezei;
	}

	public void setBezei(String bezei) {
		this.bezei = bezei;
	}

	public String getDeliveryAddress() {
		return deliveryAddress;
	}

	public void setDeliveryAddress(String deliveryAddress) {
		this.deliveryAddress = deliveryAddress;
	}

	public String getCustomName() {
		return customName;
	}

	public void setCustomName(String customName) {
		this.customName = customName;
	}

	public String getDeliveryRemark() {
		return deliveryRemark;
	}

	public void setDeliveryRemark(String deliveryRemark) {
		this.deliveryRemark = deliveryRemark;
	}

	public String getOrderDateStr() {
		return orderDateStr;
	}

	public void setOrderDateStr(String orderDateStr) {
		this.orderDateStr = orderDateStr;
	}

	public String getErpFactory() {
		return erpFactory;
	}

	public void setErpFactory(String erpFactory) {
		this.erpFactory = erpFactory;
	}

	public String getPlanDate() {
		return planDate;
	}

	public void setPlanDate(String planDate) {
		this.planDate = planDate;
	}

	public String getCustomerOrder() {
		return customerOrder;
	}

	public void setCustomerOrder(String customerOrder) {
		this.customerOrder = customerOrder;
	}

	public String getCustomerArea() {
		return customerArea;
	}

	public void setCustomerArea(String customerArea) {
		this.customerArea = customerArea;
	}

	public String getCarFlag() {
		return carFlag;
	}

	public void setCarFlag(String carFlag) {
		this.carFlag = carFlag;
	}
}
